ALARM(3)

NAME
alarm - set signal timer alarm

SYNOPSIS
#include <unistd.h>
u_int
alarm(u_int seconds);

DESCRIPTION
This interface is made obsolete by setitimer(2).

The alarm() function waits a count of seconds before asserting the terminating signal SIGALRM. When the signal has successfully been caught, alarm() returns the amount of time left on the clock. The maximum number of seconds allowed is 2147483647.

If an alarm has been set with alarm(), another call to alarm() will supersede the prior call. The request alarm(0) voids the current alarm.

SEE ALSO
sigaction(2), setitimer(2), sigpause(2), sigvec(2), signal(3), sleep(3), ualarm(3), usleep(3)

HISTORY
An alarm() function appeared in AT&T UNIX.